org.jgrapht.util

## Class VertexPair<V>

- java.lang.Object
- - org.jgrapht.util.VertexPair<V>

-     public class VertexPair<V>
      extends Object

  Representation of a pair of vertices; to be replaced by Pair<V,V> if Sun ever gets around to adding Pair to java.util.
  Author:
    Soren (soren@tanesha.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexPair(V n1, V n2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `V` | `getFirst()`
    `V` | `getOther(V one)`
    `V` | `getSecond()`
    `int` | `hashCode()`
    `boolean` | `hasVertex(V v)` Assess if this pair contains the vertex.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VertexPair

          public VertexPair(V n1,
                    V n2)

  - ### Method Detail

    - #### getFirst

          public V getFirst()

    - #### getSecond

          public V getSecond()

    - #### hasVertex

          public boolean hasVertex(V v)

      Assess if this pair contains the vertex.
      Parameters:
        `v` - The vertex in question
      Returns:
        true if contains, false otherwise

    - #### getOther

          public V getOther(V one)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016. All rights reserved.